Name:           kdeconnect-kde
Summary:        Connect and sync your devices with KDE
Version:        0.9g
Release:        %mkrel 1
Group:          Graphical desktop/KDE5
License:        GPLv2
URL:            https://community.kde.org/KDEConnect
Source0:        %name-%version.tar.xz
BuildRequires: kf5-macros
BuildRequires: cmake
BuildRequires: extra-cmake-modules
BuildRequires: gettext
BuildRequires: lib64fakekey-devel
BuildRequires: lib64kconfig-devel
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64kf5auth-devel
BuildRequires: lib64kf5bookmarks-devel
BuildRequires: lib64kf5configwidgets-devel
BuildRequires: lib64kf5dbusaddons-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kf5kcmutils-devel
BuildRequires: lib64kf5notifications-devel
BuildRequires: lib64kf5service-devel
BuildRequires: lib64kf5solid-devel
BuildRequires: lib64kf5wayland-devel
BuildRequires: lib64kf5widgetsaddons-devel
BuildRequires: lib64kio-devel
BuildRequires: lib64qca2-qt5-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5qml-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5x11extras-devel
BuildRequires: lib64qt5xml-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64xi-devel
BuildRequires: lib64xtst-devel

Requires: lib64qca2-qt5_2
Requires: sshfs-fuse
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
KDE Connect adds communication between KDE and your smartphone.

Currently, you can pair with your Android devices over Wifi using the
KDE Connect app from Albert Vaka which you can obtain via Google Play, F-Droid
or the project website.

#------------------------------------------------------------------------------

%prep
%setup -q -n %name-%version
%apply_patches

%build
%cmake_kf5
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

#devel rpm not needed
rm -f %{buildroot}/%{_libdir}/*.so
rm -rf %{buildroot}/%_kde_includedir
rm -rf %{buildroot}%{_libdir}/cmake

desktop-file-install --vendor="" \
  --add-category="GTK" \
  --add-category="X-MandrivaLinux-System-Configuration-Hardware" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name} --all-name

%files -f %{name}.lang
%defattr(-, root, root)
%{_sysconfdir}/xdg/autostart/kdeconnectd.desktop
%{_bindir}/kdeconnect-cli
%{_libdir}/kdeconnectd
%{_libdir}/libkdeconnectcore.so.0
%{_libdir}/libkdeconnectcore.so.0.9.0
%{_libdir}/libkdeconnectinterfaces.so.0
%{_libdir}/libkdeconnectinterfaces.so.0.9.0
%{_libdir}/libkdeconnectpluginkcm.so.0
%{_libdir}/libkdeconnectpluginkcm.so.0.9.0
%{_libdir}/qt5/plugins/kcm_kdeconnect.so
%{_libdir}/qt5/plugins/kdeconnect/kdeconnect_battery.so
%{_libdir}/qt5/plugins/kdeconnect/kdeconnect_clipboard.so
%{_libdir}/qt5/plugins/kdeconnect/kdeconnect_mousepad.so
%{_libdir}/qt5/plugins/kdeconnect/kdeconnect_mpriscontrol.so
%{_libdir}/qt5/plugins/kdeconnect/kdeconnect_notifications.so
%{_libdir}/qt5/plugins/kdeconnect/kdeconnect_pausemusic.so
%{_libdir}/qt5/plugins/kdeconnect/kdeconnect_ping.so
%{_libdir}/qt5/plugins/kdeconnect/kdeconnect_screensaver_inhibit.so
%{_libdir}/qt5/plugins/kdeconnect/kdeconnect_sftp.so
%{_libdir}/qt5/plugins/kdeconnect/kdeconnect_share.so
%{_libdir}/qt5/plugins/kdeconnect/kdeconnect_telephony.so
%{_libdir}/qt5/plugins/kdeconnect_pausemusic_config.so
%{_libdir}/qt5/plugins/kdeconnect_share_config.so
%{_libdir}/qt5/plugins/kdeconnectfiletiemaction.so
%{_libdir}/qt5/plugins/kio_kdeconnect.so
%{_libdir}/qt5/qml/org/kde/kdeconnect/libkdeconnectdeclarativeplugin.so
%{_libdir}/qt5/qml/org/kde/kdeconnect/qmldir
%{_datadir}/applications/org.kde.kdeconnect.kcm.desktop
%{_datadir}/applications/org.kde.kdeconnect.nonplasma.desktop
%{_datadir}/dbus-1/services/org.kde.kdeconnect.service
%{_datadir}/icons/hicolor/128x128/apps/kdeconnect.png
%{_datadir}/icons/hicolor/16x16/apps/kdeconnect.png
%{_datadir}/icons/hicolor/22x22/apps/kdeconnect.png
%{_datadir}/icons/hicolor/256x256/apps/kdeconnect.png
%{_datadir}/icons/hicolor/32x32/apps/kdeconnect.png
%{_datadir}/icons/hicolor/32x32/status/laptop-connected.png
%{_datadir}/icons/hicolor/32x32/status/laptop-disconnected.png
%{_datadir}/icons/hicolor/32x32/status/laptop-trusted.png
%{_datadir}/icons/hicolor/32x32/status/smartphone-connected.png
%{_datadir}/icons/hicolor/32x32/status/smartphone-disconnected.png
%{_datadir}/icons/hicolor/32x32/status/smartphone-trusted.png
%{_datadir}/icons/hicolor/32x32/status/tablet-connected.png
%{_datadir}/icons/hicolor/32x32/status/tablet-disconnected.png
%{_datadir}/icons/hicolor/32x32/status/tablet-trusted.png
%{_datadir}/icons/hicolor/48x48/apps/kdeconnect.png
%{_datadir}/icons/hicolor/64x64/apps/kdeconnect.png
%{_datadir}/icons/hicolor/scalable/apps/kdeconnect.svgz
%{_datadir}/icons/hicolor/scalable/status/laptop-connected.svg
%{_datadir}/icons/hicolor/scalable/status/laptop-disconnected.svg
%{_datadir}/icons/hicolor/scalable/status/laptop-trusted.svg
%{_datadir}/icons/hicolor/scalable/status/smartphone-connected.svg
%{_datadir}/icons/hicolor/scalable/status/smartphone-disconnected.svg
%{_datadir}/icons/hicolor/scalable/status/smartphone-trusted.svg
%{_datadir}/icons/hicolor/scalable/status/tablet-connected.svg
%{_datadir}/icons/hicolor/scalable/status/tablet-disconnected.svg
%{_datadir}/icons/hicolor/scalable/status/tablet-trusted.svg
%{_datadir}/knotifications5/kdeconnect.notifyrc
%{_datadir}/kservices5/kcm_kdeconnect.desktop
%{_datadir}/kservices5/kdeconnect.protocol
%{_datadir}/kservices5/kdeconnect_pausemusic_config.desktop
%{_datadir}/kservices5/kdeconnect_share_config.desktop
%{_datadir}/kservices5/kdeconnectsendfile.desktop
%{_datadir}/kservices5/plasma-kdeconnect.desktop
%{_datadir}/kservicetypes5/kdeconnect_plugin.desktop
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/Battery.qml
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/CompactRepresentation.qml
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/DeviceDelegate.qml
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/FullRepresentation.qml
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/Sftp.qml
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/main.qml
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/metadata.desktop

%clean
rm -rf %{buildroot}


%changelog
* Sun May 01 2016 bb <bb> 0.9g-1pclos2016
- build for KDE5

